Download it now!
Bug 88804 - LibreOffice blocks other applications from opening the MS Windows clipboard
Summary: LibreOffice blocks other applications from opening the MS Windows clipboard
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.3.5.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-26 12:07 UTC by A. S.
Modified: 2019-05-02 13:01 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description A. S. 2015-01-26 12:07:18 UTC
LibreOffice (calc + writer, other not tested) blocks other applications from opening the clipboard (calls to OpenClipboard fail, because LibreOffice has opened it and not closed it). 

Steps to reproduce:

Create a program that calls
OpenClipboard(NULL);
EmptyClipboard();
// Set/get some clipboard data
CloseClipboard();

OpenClipboard fails sometimes (e.g. if calc or writer is open).
If you check who has opened it with GetOpenClipboardWindow you get a window handle from the LibreOffice application.

Kind regards,
Andreas.
Comment 1 V Stuart Foote 2015-01-26 17:03:00 UTC
@Andreas,

Entirely possible this is the case, but it *IS* transient. If it were occurring always, no application other than LibreOffice would be able to access the Windows clipboard--i.e. EmptyClipboard and issue the WM_DESTROYCLIPBOARD message. That clearly is not the case.

You are probably aware that the behavior of the clipboard can be altered considerably by a "clipboard manager" holding the clipboard the clipboard and intercepting calls from other programs.  Do you have a clipboard manager installed?

Feel free to review the LibreOffice source, the Windows build clipboard resides in /dtrans/source/win32 with calls to SystemClipbaord.idl and XSystemClipboard.idl

http://opengrok.libreoffice.org/xref/core/dtrans/source/win32/clipb/

The MS API and documentation is here:

https://msdn.microsoft.com/en-us/library/windows/desktop/ms648709%28v=vs.85%29.aspx

I do believe LO implements just a subset of MS Clipboard API, and there certainly room to improve our interaction--up to and including a LibreOffice clipboard manager bundled extension (to service Linux/Windows/OS X).

Similar OS specific clipboard issues on Linux, bug 48783 and on OSX bug 49853 or even related Windows clipboard issue(s) of bug 62196
Comment 2 V Stuart Foote 2015-01-26 17:07:20 UTC
this is not a blocker in any sense
Comment 3 QA Administrators 2017-05-22 13:39:27 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.7 or 5.3.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170522